[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.SetItem

Assigns values from the specified tree node to a node in the container.

## Declaration

Source position: comctrls.pp line 3245

`protected procedure TTreeNodes.SetItem(`
`Index: Integer;`
`AValue: TTreeNode`
`);`

## Arguments

`Index` |  | Ordinal position for the node updated in the container.
`AValue` |  | Tree node with the values assigned to an existing node in the container.